> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapier.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rate Execution Log

> Rate a specific execution log given feedback from the user.

Rating should either be `-1` (bad, thumbs down), `0` (neutral, the default), or `1` (good, thumbs up).

You can also provide plain text feedback provided by the user. Supplied rating/feedback are patched onto execution log, so you can progressively call this endpoint.



## OpenAPI

````yaml post /api/v2/execute/log/{execution_log_id}/rate/
openapi: 3.1.0
info:
  title: Zapier AI Actions API V2
  version: 1.0.0
  description: ''
servers:
  - url: https://actions.zapier.com
security: []
paths:
  /api/v2/execute/log/{execution_log_id}/rate/:
    post:
      tags:
        - execution
      summary: Rate Execution Log
      description: >-
        Rate a specific execution log given feedback from the user.


        Rating should either be `-1` (bad, thumbs down), `0` (neutral, the
        default), or `1` (good, thumbs up).


        You can also provide plain text feedback provided by the user. Supplied
        rating/feedback are patched onto execution log, so you can progressively
        call this endpoint.
      operationId: api_execution_log_rate_execution_log
      parameters:
        - in: path
          name: execution_log_id
          schema:
            title: Execution Log Id
            type: string
          required: true
        - in: query
          name: rating
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Rating
          required: false
        - in: query
          name: feedback
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Feedback
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecuteResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '412':
          description: Precondition Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - AccessPointApiKeyHeader: []
        - AccessPointOAuth: []
components:
  schemas:
    ExecuteResponse:
      properties:
        execution_log_id:
          description: >

            ID of the execution log.
                                              
            This can be used with the [Rate Execution
            Log](/docs/api-reference/execution/rate-execution-log) endpoint to
            give feedback on the execution.


            We frequently monitor this feedback!
          title: Execution Log Id
          type: string
        action_used:
          description: The name of the action that was executed.
          title: Action Used
          type: string
        input_params:
          description: The parameters that were passed into the API.
          title: Input Params
          type: object
        resolved_params:
          anyOf:
            - type: object
            - type: 'null'
          description: >

            The resolved parameters for the action.


            If `preview_only` is `true`, this will be the parameters that the AI
            would have used to run the action if it were not a preview.

            If `preview_only` is `false`, these are the parameters that the AI
            used to run the action.
          title: Resolved Params
        results:
          anyOf:
            - items:
                type: object
              type: array
            - type: 'null'
          description: |-

            Results of the action after it ran.

            This will be an empty list if `preview_only` is `true`.
                    
          title: Results
        full_results:
          anyOf:
            - items:
                type: object
              type: array
            - type: 'null'
          description: >-
            DEPRECATED: Use `results` instead. This field is kept temporarily
            for compatibility.
          title: Full Results
        result_field_labels:
          anyOf:
            - type: object
            - type: 'null'
          description: Human readable labels for some of the keys in the result.
          title: Result Field Labels
        status:
          default: success
          description: |

            The status of the execution.

            - `success`: The action was executed successfully.
            - `error`: The action failed to execute, see `error` field.
            - `empty`: The action was not executed.
            - `preview`: The action was previewed.
          enum:
            - success
            - error
            - empty
            - preview
          title: Status
          type: string
        error:
          anyOf:
            - type: string
            - type: 'null'
          description: The error message if the execution failed.
          title: Error
      required:
        - execution_log_id
        - action_used
        - input_params
      title: ExecuteResponse
      type: object
    ErrorResponse:
      additionalProperties: true
      properties:
        error:
          description: Error message.
          title: Error
          type: string
      required:
        - error
      title: ErrorResponse
      type: object
  securitySchemes:
    AccessPointApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    AccessPointOAuth:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: /oauth/authorize/
          tokenUrl: /oauth/token/
          scopes:
            nla:exposed_actions:execute: Run AI Actions
            openid: OpenID Connect scope

````